HTTP Methods
getMultipleAccounts
Returns the account information for a list of Pubkeys.
POST
getMultipleAccounts
Documentation Index
Fetch the complete documentation index at: https://www.helius.dev/docs/llms.txt
Use this file to discover all available pages before exploring further.
New Feature:
getMultipleAccounts now supports the changedSinceSlot parameter for incremental updates. When specified, the method returns only accounts that have been modified at or after the given slot number. For accounts that exist but haven’t changed since the specified slot, the response will contain status: "unchanged".Request Parameters
Array of Solana account addresses (up to 100) to fetch in a single optimized batch request.
The commitment level for the request.
confirmedfinalizedprocessed
The minimum slot that the request can be evaluated at.
Request a slice of the account’s data.
Number of bytes to return.
Byte offset from which to start reading.
Encoding format for the returned account data.
jsonParsedbase58base64base64+zstd
Only return accounts that have been modified at or after this slot number. For accounts that exist but haven’t changed since the specified slot, the response will contain status as “unchanged”.
Authorizations
Body
application/json
The JSON-RPC protocol version.
Available options:
2.0 Example:
"2.0"
A unique identifier for the request.
Example:
"1"
The name of the RPC method to invoke.
Available options:
getMultipleAccounts Example:
"getMultipleAccounts"
Parameters for the method.
Array of Solana account addresses (up to 100) to fetch in a single optimized batch request.
Example:
[
"vines1vzrYbzLMRdu58ou5XTby4qAqVRLmqo36NKPTg",
"4fYNw3dojWmQ4dXtSGE9epjRGy9pFSx62YypT7avPYvA"
]getMultipleAccounts